<wo:Wrapper selectedTabId = "MiseEnPaiement" selectedItemId = "$selectedItemId">
  <div id = "contenu">
    <fieldset style = "height:100%">
      <div class = "container">
      <wo:form class = "left">
			<wo:condition condition = "$session.pagePrecedente"><wo:CktlSubmitButton type = "previous" action = "$pagePrecedente" text = "Retour" /></wo:condition>
        </wo:form>
        <wo:AjaxUpdateContainer id = "$nouveauPaiementContainerId">   
              <wo:form name = "MEPForm" class = "form-horizontal left" id="MEPform" >
      <!-- Titre -->
      <script type = "text/javascript">
			function checkAll(bx) {
  				var cbs = document.getElementsByTagName('input');
  				for(var i=0; i < cbs.length; i++) {
    				if(cbs[i].type == 'checkbox') {
    						cbs[i].checked = bx.checked;
   					}
 				}
			}
    	</script>
             <center><h2><wo:string value = "$session.localizer.MEPForm.titre" /></h2></center>
        <!-- Formulaire de création d'un nouveau paiement item="editedObject" -->
        <div class = "row-fluid">
        <div class = "offset2 span8">
       
        <b><wo:string value = "$session.localizer.RechercheForm.LibelleCriteres" /> </b>
       
          <div class = "row-fluid">
            <label class = "control-label"><wo:string value = "$session.localizer.MEPForm.LibelleStatut" />&nbsp;:</label>
            <div class = "controls">
           <p style = "padding-top: 5px;">
           <wo:AjaxObserveField updateContainerID = "$typeContratContainerId" >
           <wo:radioButtonList onchange="MEPform.submit()" name = "RblStatut" list = "$typesStatuts.allKeys" item = "$currentStatut" value = "$currentStatut" selection = "$statut" displayString = "$typeStatutDisplayString"/>
           </wo:AjaxObserveField>
           </p></div>
           </div>
          <div class = "row-fluid">
           	<wo:AjaxUpdateContainer id = "$typeContratContainerId"> 
             <label class = "control-label">
              <wo:if condition = "$isStatutVacataire"><wo:string value = "$session.localizer.RechercheForm.LibelleStructureEnseignement" /></wo:if>
              <wo:else><wo:string value = "$session.localizer.RechercheForm.LibelleStructureEnseignant" /></wo:else>&nbsp;:</label>
             <div class = "controls">
             <p style = "padding-top: 5px;">       
              <wo:popUpButton list = "$listeStructures" item = "$currentComposanteScolarite" noSelectionString = "-" displayString = "$displayStructures" selection = "$composanteScolariteSelectionnee" />
             </p></div>
            </wo:AjaxUpdateContainer>
           </div>           
           <div class = "row-fluid">
            <label class = "control-label"><wo:string value = "$session.localizer.RechercheForm.LibelleAnneeUniversitaire" />&nbsp;*&nbsp;:</label>
            <div class = "controls">
           <p style = "padding-top: 5px;">
           <wo:popUpButton list = "$listeAnneesUniversitaires.allKeys" item = "$currentAnnee" displayString = "$anneesDisplayString" selection = "$anneeSelectionnee" />
          </p>
           	</div>
           </div>
           <div class = "row-fluid">            
            <wo:if condition = "$statutVacataire"> 
				<label class = "control-label"><wo:string value = "Jusqu'à" />&nbsp;*&nbsp;:</label>
			</wo:if>
            <div class = "controls">
           <p style = "padding-top: 5px;">
             <wo:AjaxUpdateContainer id = "$typeContratContainerId">
             <wo:if condition = "$statutVacataire">        
           		<wo:popUpButton list = "$periodes" item = "$currentPeriode" noSelectionString = "-" displayString = "$currentPeriode.libelle" selection = "$selectedPeriode" />
           	 </wo:if>
          </wo:AjaxUpdateContainer>
          </p>
           	</div>
           </div>
           
          <div class = "row-fluid">
            <label class = "control-label"><wo:string value = "$session.localizer.MEPForm.LibelleCorps" />&nbsp;:</label>
            <div class = "controls">
            <wo:if condition = "$statutVacataire">
          		<wo:popUpButton list = "$corpsHelperVacataire.listeCorps" item = "$corpsHelperVacataire.corps" displayString = "$corpsHelperVacataire.displayCorps" selection = "$corpsHelperVacataire.selectionCorps" noSelectionString = "-" style = "width: 100%;"/>
         	</wo:if>	
			<wo:if condition = "$statutVacataire" negate="true">         		
           		<wo:popUpButton list = "$corpsHelperNonVacataire.listeCorps" item = "$corpsHelperNonVacataire.corps" displayString = "$corpsHelperNonVacataire.displayCorps" selection = "$corpsHelperNonVacataire.selectionCorps" noSelectionString = "-" style = "width: 100%;"/>
         	</wo:if>	
           	</div>
           </div>
            <div class = "row-fluid">
            <label class = "control-label"><wo:string value = "$session.localizer.MEPForm.LibelleTypeContrat" />&nbsp;:</label>
            <div class = "controls">          
            <wo:AjaxUpdateContainer id = "$typeContratContainerId">        
			<wo:if condition = "$statutVacataire">         		
         		<wo:popUpButton list = "$corpsHelperVacataire.listeContratsTravail" item = "$corpsHelperVacataire.contratTravail" noSelectionString = "-" displayString = "$corpsHelperVacataire.displayContratTravail" selection = "$corpsHelperVacataire.selectionContratTravail" />
         	</wo:if>	
			<wo:if condition = "$statutVacataire" negate="true">         		
         		<wo:popUpButton list = "$corpsHelperNonVacataire.listeContratsTravail" item = "$corpsHelperNonVacataire.contratTravail" noSelectionString = "-" displayString = "$corpsHelperNonVacataire.displayContratTravail" selection = "$corpsHelperNonVacataire.selectionContratTravail" />
			</wo:if>         		         		  
          	</wo:AjaxUpdateContainer>
          
           	</div>
           </div>
           <br>
           <center>
             	 <wo:CktlSubmitButton action = "$rechercherMEP" type="find" text="$session.localizer.application.boutonRechercher" />         		
 	   	   </center>          
      
     	  </div>
        </div>
		<br><br>
		<center>      
 	    <b><wo:string value = "$session.localizer.MEP.LibelleEnseignants"/> </b>
        <br><br>
        </center>
          <!-- Table containing the results -->
          
  <wo:CktlAjaxSimpleTableView id = "$tableViewId" displayGroup = "$displayGroup" useFixedHeader = "false" item = "$currentItem" updateContainerID = "$buttonsContainerId" >
  <wo:CktlAjaxSimpleTableViewHeader>
					<th class="center"><wo:checkbox onclick="checkAll(this);submit();" checked="$checkTout" />
					</th>
					<wo:CktlAjaxSimpleTableViewColumn label = "Nom" width = "30%"/>
					<wo:CktlAjaxSimpleTableViewColumn label = "Prénom" width = "25%"/>
					<wo:CktlAjaxSimpleTableViewColumn label = "Composante" width = "15%"/>
					<wo:CktlAjaxSimpleTableViewColumn label = "Heures à payer (en HETD)" width = "20%"/>
 </wo:CktlAjaxSimpleTableViewHeader>
 <wo:CktlAjaxSimpleTableViewBody>
    			<wo:CktlAjaxSimpleTableViewCell class="center" ><wo:checkbox checked = "$currentItem.bonPourPaiement" /></wo:CktlAjaxSimpleTableViewCell>
				<wo:CktlAjaxSimpleTableViewCell class="left" ><wo:string value = "$currentItem.enseignant.toIndividu.nomAffichage" /></wo:CktlAjaxSimpleTableViewCell>
				<wo:CktlAjaxSimpleTableViewCell class="left" ><wo:string  value = "$currentItem.enseignant.toIndividu.prenomAffichage" /></wo:CktlAjaxSimpleTableViewCell>
				<wo:CktlAjaxSimpleTableViewCell class="left" ><wo:string value = "$currentItem.structurePayante.lcStructure" /></wo:CktlAjaxSimpleTableViewCell>
				<wo:CktlAjaxSimpleTableViewCell class="right"><wo:CktlNumber value = "$currentItem.totalNombreHeuresAPayerHetd" numberformat = "$app3DecimalesNumberFormat" /></wo:CktlAjaxSimpleTableViewCell>
 </wo:CktlAjaxSimpleTableViewBody>
  </wo:CktlAjaxSimpleTableView>
        <br><br>
         <wo:AjaxUpdateContainer id = "$buttonsContainerId">
             <center>
               	<wo:CktlSubmitButton type = "validate" text = "Mettre en paiement" action = "$enregistrerEtRetour" />        
      		</center>          
        </wo:AjaxUpdateContainer>
    </wo:form>
 
    </wo:AjaxUpdateContainer>    
      </div>
    </fieldset>
  </div>
</wo:Wrapper>
